import path from "path";

export default function grabDirNames() {
    const APP_DIR = path.resolve(__dirname, "../../");
    const TURBOCI_DIR = `/root/.turboci`;
    const TURBOCI_CONFIG_DIR = path.join(TURBOCI_DIR, ".config");
    const TURBOCI_CONFIG_JSON_FILE = path.join(
        TURBOCI_CONFIG_DIR,
        "turboci.json",
    );
    const TURBOCI_DEPLOYMENT_ID_FILE = path.join(TURBOCI_DIR, "deployment_id");

    const TURBOCI_SSH_DIR = path.join(TURBOCI_DIR, ".ssh");
    const TURBOCI_SSH_KEY_FILE = path.join(TURBOCI_SSH_DIR, "turboci");

    return {
        APP_DIR,
        TURBOCI_CONFIG_DIR,
        TURBOCI_CONFIG_JSON_FILE,
        TURBOCI_DIR,
        TURBOCI_SSH_DIR,
        TURBOCI_SSH_KEY_FILE,
        TURBOCI_DEPLOYMENT_ID_FILE,
    };
}
